devforge_fyp/routes/web.php
<?php

use App\Http\Controllers\ProfileController;
use App\Http\Controllers\Guest\GuestController;
use App\Http\Controllers\User\UserController;
use App\Http\Controllers\User\MyProjectsController;
use App\Http\Controllers\User\ProjectScopingFormController;
use App\Http\Controllers\Admin\DashboardController;
use App\Http\Controllers\Admin\AddprojectController;
use App\Http\Controllers\Admin\ApproveprojectController;
use App\Http\Controllers\ApprovalTeam\ApprovalDashboardController;
use App\Http\Controllers\ApprovalTeam\AddsupervisorController;
use App\Http\Controllers\ApprovalTeam\ApproveTeamProjectController;
use Illuminate\Support\Facades\Route;

use App\Http\Controllers\Admin\CreateProjectController;


// Guest route
Route::group([], function () {
    Route::get('/', [GuestController::class,'home'])->name('home');
    Route::get('/aboutus', [GuestController::class, 'aboutus']);
    Route::get('/contactus', [GuestController::class, 'contactus'])->name('contactus');
    Route::post('userFeedback', [GuestController::class, 'userFeedback'])->name('userFeedback');
    Route::get('/completedProjects', [GuestController::class, 'completedProjects']);
});

// User route
Route::group(['middleware' => ['auth','user']], function () {
    Route::get('/profile-complete', [UserController::class,'profileComplete'])->name('profile-complete');
    Route::post('/profileComplete', [UserController::class, 'userProfileComplete'])->name('userProfileComplete');

    Route::get('/myProject', [MyProjectsController::class,'myProject'])->name('myProject');
    Route::get('/applyProject/{id}', [MyProjectsController::class,'applyProject']);
    Route::post('/applyProject', [MyProjectsController::class, 'applyGroup'])->name('applyGroup');

    Route::get('/projectScopingForm/{group_id}', [ProjectScopingFormController::class,'projectScopingForm']);
    Route::post('/ScopingForm/{group_id}', [ProjectScopingFormController::class, 'postScopingForm'])->name('ScopingForm');

    // Update Profile
    Route::get('/viewProfile/{id}/edit', [UserController::class, 'editProfile'])->name('editProfile');
    Route::put('/viewProfile/{id}', [UserController::class, 'updateProfile'])->name('updateProfile');

    // Download 
    Route::get('userExport/{scoping_id}', [MyProjectsController::class, 'userExports'])->name('userExports');
});

// Admin route
Route::group(['middleware' => ['auth','admin'],'prefix' => 'admin'], function () {
    Route::get('dashboard', [DashboardController::class,'dashboard'])->name('admin.dashboard');
    Route::get('overview', [DashboardController::class,'overview'])->name('overview');
    Route::get('ongoing', [DashboardController::class,'ongoing'])->name('ongoing');
    Route::get('projectclosetoDeadline', [DashboardController::class,'close'])->name('close');

    Route::get('approveProject', [ApproveprojectController::class,'approve'])->name('approve');
    Route::post('approveProject', [ApproveprojectController::class, 'approveProject'])->name('approveProject');

    Route::get('addProject', [AddprojectController::class,'addProject'])->name('addProject');
    Route::post('addProject', [CreateProjectController::class, 'createProject'])->name('createProject');

    //Download Scoping Documents
    Route::get('adminDownloadScopingDocuments/{scoping_id}', [DashboardController::class, 'downloadScopingDocuments'])->name('downloadAdmin');

});

// approval team route
Route::group(['middleware' => ['auth','approvalteam'],'prefix' => 'approvalteam'], function () {
    Route::get('dashboard', [ApprovalDashboardController::class,'dashboard'])->name('approval.dashboard');

    Route::get('addSupervisor', [AddsupervisorController::class,'addSupervisor'])->name('addSupervisor');
    Route::post('addSupervisor', [AddsupervisorController::class, 'createSupervisor'])->name('createSupervisor');
    Route::delete('deleteSupervisor/{id}', [AddsupervisorController::class, 'deleteSupervisor'])->name('deleteSupervisor');

    Route::get('addProject', [AddsupervisorController::class,'addProject']);
    Route::post('addProject', [AddsupervisorController::class, 'approvalAddProject'])->name('approvalAddProject');

    Route::get('approveProject', [ApproveTeamProjectController::class,'approvePage'])->name('approvalPage');
    Route::post('approveProject', [ApproveTeamProjectController::class, 'approvalProject'])->name('approvalProject');
    Route::post('completeProject', [ApproveTeamProjectController::class, 'completeProject'])->name('completeProject'); 

    //Download scoping documents
    Route::get('downloadScopingDocuments/{scoping_id}', [ApproveTeamProjectController::class, 'downloadScopingDocuments'])->name('downloadScopingDocuments');
    Route::post('sendFeedback/{email}', [ApproveTeamProjectController::class, 'sendFeedback'])->name('sendFeedback');

});

Route::middleware('auth')->group(function () {
    Route::get('/profile', [ProfileController::class, 'edit'])->name('profile.edit');
    Route::patch('/profile', [ProfileController::class, 'update'])->name('profile.update');
    Route::delete('/profile', [ProfileController::class, 'destroy'])->name('profile.destroy');
});

require __DIR__.'/auth.php';

devforge_fyp/app/Http/Controllers/Guest/GuestController.php
<?php

namespace App\Http\Controllers\Guest;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Projects;
use App\Models\Feedbacks;
use Illuminate\Support\Facades\Mail;

class GuestController extends Controller
{
    // Home Page
    public function home(){
        $projects = Projects::where('status', 'pending')->get(); 
        return view("guest.home", compact('projects'));
    }

    // About us
    public function aboutUs(){
        return view("guest.aboutUs");
    }

    // Contact us
    public function contactUs(){
        return view("guest.contactus");
    }

    // Completed projects
    public function completedProjects() {
        $projects = Projects::where('status', 'completed')->get();
    
        return view('guest.completedProjects', ['projects' => $projects]);
    }
    

    public function userFeedback(Request $request){
        $feedbacks = new Feedbacks();

        $feedbacks->sender_name = $request->name;
        $feedbacks->sender_email = $request->email;
        $feedbacks->message = $request->message;

        $feedbacks->save();

        return redirect()->route('contactus')->with('success', 'Feedback successfully sended.');
    }

}

devforge_fyp/app/View/Components/GuestLayout.php
<?php

namespace App\View\Components;

use Illuminate\View\Component;
use Illuminate\View\View;

class GuestLayout extends Component
{
    /**
     * Get the view / contents that represents the component.
     */
    public function render(): View
    {
        return view('layouts.guest');
    }
}

devforge_fyp/resources/views/guest/aboutUs.blade.php
<x-guest-layout>
    <x-slot name="title">About Us</x-slot>
    <div class="container-fluid px-md-5 px-3">
        <div class="row mt-5">
            <div class="col-md-8">
                <h2 class="fw-bold">What DevForge is?</h2>
                <p>
                    Welcome to GCIT Devforge, a student-focused platform for project bidding and collaboration!
                     Connect with exciting opportunities, showcase your creativity, and compete for assignments. 
                     Our streamlined selection process ensures top proposals are chosen. 
                    Join today to embark on a journey of discovery, collaboration, and professional growth!
                </p>
            </div>
        </div>
        <div class="row mt-3">
            <div class="col-md-8">
                <h2 class="fw-bold">Current Students in DevForge</h2>
                <p>
                    Meet the talented students currently engaged in transformative projects within DevForge. These dedicated individuals represent the diverse skills and innovative spirit driving the success of DevForge projects
                </p>
            </div>
        </div>
        <div class="row g-2">
            @php
                $count = 6; 
            @endphp
            
            @foreach (range(1, $count) as $index)
                <div class="col-md-2">
                    <div style="height: 160px;" class="bg-primary-subtle rounded-4">
                        <img class="rounded-4" style="width: 100%;height:100%;object-fit:cover;" src="https://images.pexels.com/photos/415829/pexels-photo-415829.jpeg?auto=compress&cs=tinysrgb&dpr=1&w=500" alt="">
                    </div>
                </div>  
            @endforeach
        </div>
        <div class="row mt-5">
            <div class="col-md-8">
                <h2 class="fw-bold">Graduates from DevForge</h2>
                <p>
                    Congratulations to the talented graduates who have honed their skills and launched successful careers through DevForge:
                    These exceptional individuals are a testament to the impact and effectiveness of the DevForge platform in preparing students for the workforce and beyond
                </p>
            </div>
        </div>
        <div class="row g-2 mb-3">
            @php
                $count = 12; 
            @endphp
            
            @foreach (range(1, $count) as $index)
                <div class="col-md-2">
                    <div style="height: 160px;" class="bg-primary-subtle rounded-4">
                        <img class="rounded-4" style="width: 100%;height:100%;object-fit:cover;" src="https://images.pexels.com/photos/415829/pexels-photo-415829.jpeg?auto=compress&cs=tinysrgb&dpr=1&w=500" alt="">
                    </div>
                </div>  
            @endforeach
        </div>
    </div>

</x-guest-layout>

devforge_fyp/resources/views/guest/completedProjects.blade.php
<x-guest-layout>
    <x-slot name="title">Completed Projects</x-slot>

    {{--Available Project Section  --}}
   <div class="container-fluid px-md-5 px-3 mt-3">
    <h3 class="fw-bold">Completed Projects</h3>
    {{-- sorting buttons --}}
    <div class="d-flex gap-2 mt-3">
       <button class="sorting-btn active-sorting-btn">All</button>
       <button class="sorting-btn">Website</button>
       <button class="sorting-btn">Mobile App</button>
    </div>
    
    <div class="row my-3 g-3">
        @foreach($projects as $project)
        <div class="col-md-3">
            <div class="project-card border rounded-5 border-dark-subtle">
                <div class="d-flex justify-content-end pe-4">
                    <div style="font-size: 10px;width:85px;height:38px;border-bottom-left-radius: 16px;border-bottom-right-radius: 16px;" class="bg-secondary text-white text-center p-1">
                        <span>closing soon {{ $project->deadline }}</span>
                    </div>
                </div>
                <h6 class="px-3 pt-0 mt-0 fw-bold">{{ $project->project_title }}</h6>
                <p style="font-size: 12px;height:100px;" class="px-3 overflow-y-scroll">
                    {{ $project->projectobjectives }}
                </p>
                <div class="d-flex flex-wrap gap-1 px-3">
                    <div style="font-size: 12px;color:#1a1919e4;height:23px;" class="border rounded-5 border-dark-subtle fw-bold d-flex justify-content-center align-items-center gap-2 px-2">
                        <span>
                            <box-icon size='xs' name='user' color='#6d6c6c'></box-icon>
                        </span>
                        <span>{{ $project->students_number }} Students</span>
                    </div>
                    <div style="font-size: 12px;color:#1a1919e4;height:23px;" class="border rounded-5 border-dark-subtle fw-bold d-flex justify-content-center align-items-center gap-2 px-2">
                        <span>
                            <box-icon size='xs' name='calendar' color='#6d6c6c'></box-icon>
                        </span>
                        <span>{{ $project->duration }} Months</span>
                    </div>
                    <div style="font-size: 12px;color:#1a1919e4;height:23px;" class="border rounded-5 border-dark-subtle fw-bold d-flex justify-content-center align-items-center px-2">{{ $project->project_category }}</div>
                </div>
                {{-- <div class="px-3 mt-xl-4 mt-md-2 mt-3">
                    <a href="{{ url('/applyProject', $project->project_id) }}" class="btn-primary login-register-btn btn w-100 rounded-4 text-white">Apply Now</a>
                </div> --}}
            </div>
        </div>
        @endforeach
    </div>

  </div>
</x-guest-layout>

devforge_fyp/resources/views/guest/contactus.blade.php
<x-guest-layout>
    <x-slot name="title">Contact Us</x-slot>
    <div class="container-fluid px-md-5 px-3">
        <div class="row mt-5">
            <div class="col-md-7">
                <h2 class="fw-bold">Talk to us</h2>
                <p>We're here to help and eager to hear from you! Whether you have questions, feedback, or inquiries, don't hesitate to reach out. Our team is committed to providing timely and helpful assistance. We look forward to connecting with you!</p>
            </div>
        </div>
        <div class="row mt-4">
            <div class="col-md-3">
                <form method="POST" action="{{ route('userFeedback') }}">
                    @csrf
                    <input required class="form-control mb-2 rounded-5 py-2" type="text" name="name" placeholder="Name" name="name">
                    <input required class="form-control mb-2 rounded-5 py-2" type="email" name="email" placeholder="Email" name="email">
                    <textarea required class="form-control mb-2 rounded-4 pt-3" name="message" name="message" rows="4" placeholder="message"></textarea>
                    <button class="form-control mt-3 btn btn-primary text-white rounded-5" type="submit">Send</button>
                </form>
            </div>
        </div>
    </div>
</x-guest-layout>

devforge_fyp/resources/views/guest/home.blade.php
@section('page-css')
    <link rel="stylesheet" href="{{ asset('css/dashboard/dashboard.css') }}">
@endsection

<x-guest-layout>
    <x-slot name="title">Home Page</x-slot>
    <div class="w-100 herobanner">
        <div class="container-fluid px-md-5 px-3 d-flex align-items-center h-100">
            <div class="col-md-5">
                <h2 class="fw-bold">What is it for?</h2>
                <p style="font-size: 14px;">
                    Welcome to GCIT Devforge, the ultimate platform for student project bidding and collaboration! Here, aspiring developers and designers connect with exciting opportunities to showcase their talents. Browse projects, submit proposals, and let your creativity shine. Our streamlined process ensures the best proposals are chosen, fostering excellence and innovation. Join GCIT Devforge today to embark on a journey of discovery, collaboration, and professional growth!
                </p>
            </div>
        </div>
    </div>

   {{--Available Project Section  --}}
   <div class="container-fluid px-md-5 px-3 mt-5">
    <h3 class="fw-bold">Available Projects</h3>
    <div class="d-flex gap-2 mt-3">
        <button class="sorting-btn active-sorting-btn" data-category="all">All</button>
        <button class="sorting-btn" data-category="Websites">Website</button>
        <button class="sorting-btn" data-category="App">Mobile App</button>
    </div>
    
    <div class="row my-3 g-3" id="projectCards">
        @foreach($projects as $project)
        <div class="col-md-3 project-card" data-category="{{ $project->project_category }}">
            <div class="project-card border rounded-5 border-dark-subtle">
                <div class="d-flex justify-content-end pe-4">
                    <div style="font-size: 10px;width:85px;height:38px;border-bottom-left-radius: 16px;border-bottom-right-radius: 16px;" class="bg-secondary text-white text-center p-1">
                        <span>Closing Soon {{ $project->deadline }}</span>
                    </div>
                </div>
                <h6 class="px-3 pt-0 mt-0 fw-bold">{{ $project->project_title }}</h6>
                <p style="font-size: 12px;height:100px;" class="px-3 overflow-y-scroll">
                    {{ $project->projectobjectives }}
                </p>
                <div class="d-flex flex-wrap gap-1 px-3">
                    <div style="font-size: 12px;color:#1a1919e4;height:23px;" class="border rounded-5 border-dark-subtle fw-bold d-flex justify-content-center align-items-center gap-2 px-2">
                        <span>
                            <box-icon size='xs' name='user' color='#6d6c6c'></box-icon>
                        </span>
                        <span>{{ $project->students_number }} Students</span>
                    </div>
                    <div style="font-size: 12px;color:#1a1919e4;height:23px;" class="border rounded-5 border-dark-subtle fw-bold d-flex justify-content-center align-items-center gap-2 px-2">
                        <span>
                            <box-icon size='xs' name='calendar' color='#6d6c6c'></box-icon>
                        </span>
                        <span>{{ $project->duration }} Months</span>
                    </div>
                    <div style="font-size: 12px;color:#1a1919e4;height:23px;" class="border rounded-5 border-dark-subtle fw-bold d-flex justify-content-center align-items-center px-2 project-category">{{ $project->project_category }}</div>
                </div>
                <div class="px-3 mt-xl-4 mt-md-2 mt-3 {{ (Auth::check() && (Auth::user()->role === 'admin' || Auth::user()->role === 'approvalteam')) ? 'd-none' : '' }}">
                    <a href="{{ url('/applyProject', $project->project_id) }}" class="btn-primary login-register-btn btn w-100 rounded-4 text-white">Apply Now</a>
                </div>
            </div>
        </div>
        @endforeach
    </div>

    <script>
        document.addEventListener('DOMContentLoaded', function() {
            const sortingButtons = document.querySelectorAll('.sorting-btn');
            const projectCards = document.querySelectorAll('.project-card');

            sortingButtons.forEach(button => {
                button.addEventListener('click', function() {
                    const category = this.getAttribute('data-category');
                    console.log(`Button clicked: ${category}`);

                    // Remove 'active-sorting-btn' class from all buttons
                    sortingButtons.forEach(btn => btn.classList.remove('active-sorting-btn'));
                    // Add 'active-sorting-btn' class to the clicked button
                    this.classList.add('active-sorting-btn');

                    // Filter project cards based on the category
                    projectCards.forEach(card => {
                        const cardCategory = card.querySelector('.project-category').innerText.trim();
                        console.log(`Card category: ${cardCategory}`);
                        if (category === 'all' || cardCategory === category) {
                            card.style.display = 'block';
                        } else {
                            card.style.display = 'none';
                        }
                    });
                });
            });
        });
    </script>
</x-guest-layout>